summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichael Orlitzky <mjo@gentoo.org>2017-12-11 08:20:14 -0500
committerMichael Orlitzky <mjo@gentoo.org>2017-12-11 08:22:45 -0500
commitb10b08bc98169e5462fcdb82ab41640e5715f202 (patch)
tree28ad934f417715752bc610eba0efab134e5cf49f /app-eselect/eselect-php/eselect-php-0.9.4-r5.ebuild
parentapp-eselect/eselect-php: drop sys-apps/gentoo-functions dependency. (diff)
downloadgentoo-b10b08bc98169e5462fcdb82ab41640e5715f202.tar.gz
gentoo-b10b08bc98169e5462fcdb82ab41640e5715f202.tar.bz2
gentoo-b10b08bc98169e5462fcdb82ab41640e5715f202.zip
app-eselect/eselect-php: drop the "PHP5" backwards-compatibility shim.
A backwards-compatibility shim was added on 2016-01-05, in commit 1ae81f5, to prevent (unmodified) configurations from breaking when upgrading eselect-php. A "you should upgrade your configuration" warning was added three days later in commit 470b42d. I think two years is a long enough time to maintain the shim/warning, so this commit removes them from the live ebuild and latest revision. Package-Manager: Portage-2.3.13, Repoman-2.3.3
Diffstat (limited to 'app-eselect/eselect-php/eselect-php-0.9.4-r5.ebuild')
-rw-r--r--app-eselect/eselect-php/eselect-php-0.9.4-r5.ebuild44
1 files changed, 44 insertions, 0 deletions
diff --git a/app-eselect/eselect-php/eselect-php-0.9.4-r5.ebuild b/app-eselect/eselect-php/eselect-php-0.9.4-r5.ebuild
new file mode 100644
index 00000000000..c99ebdbb421
--- /dev/null
+++ b/app-eselect/eselect-php/eselect-php-0.9.4-r5.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit systemd
+
+DESCRIPTION="PHP eselect module"
+HOMEPAGE="https://gitweb.gentoo.org/proj/eselect-php.git/"
+SRC_URI="https://dev.gentoo.org/~mjo/distfiles/${P}.tar.xz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos"
+IUSE="fpm apache2"
+
+# The "DirectoryIndex" line in 70_mod_php.conf requires mod_dir.
+RDEPEND="app-admin/eselect
+ apache2? ( www-servers/apache[apache2_modules_dir] )"
+
+src_configure(){
+ # We expect localstatedir to be "var"ish, not "var/lib"ish, because
+ # that's what PHP upstream expects. See for example the FPM
+ # configuration where they put logs in @localstatedir@/log.
+ #
+ # The libdir is passed explicitly in case the /usr/lib symlink
+ # is not present (bug 624528).
+ econf --libdir="${EPREFIX}/usr/$(get_libdir)" \
+ --localstatedir="${EPREFIX}/var" \
+ --with-piddir="${EPREFIX}/run" \
+ $(use_enable apache2) \
+ $(use_enable fpm)
+}
+
+src_install() {
+ default
+
+ if use fpm ; then
+ systemd_dotmpfilesd "${FILESDIR}/php-fpm.conf"
+ sed -e "s,@libdir@,$(get_libdir),g" "${FILESDIR}/php-fpm-launcher-r3" > "${T}"/php-fpm-launcher || die
+ exeinto /usr/libexec
+ doexe "${T}"/php-fpm-launcher
+ fi
+}